using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace RMYY_CallCenter_Api.Models.Enum
{
    /// <summary>
    /// 工单状态枚举
    /// </summary>
    public enum EnumHosWorkOrderState
    {
        [Description("全部")]
        all = -1,
        [Description("新工单")]
        neworder,
        [Description("待确认")]
        assign,
        [Description("待指派")]
        sure,
        [Description("待查收")]
        work,
        /// <summary>
        /// 待处理
        /// </summary>
        [Description("待转运")]
        receive,
        [Description("转运中")]
        transport,
        [Description("转运完成")]
        transcomplete,
        [Description("待取配件")]
        awaitfetch,
        [Description("待安装")]
        fetch,
        [Description("安装中")]
        install,
        [Description("安装完成")]
        installcomplete,
        [Description("异常结束")]
        abreback,
        [Description("已完结")]
        finish
    }

    /// <summary>
    /// 工单记录类型枚举
    /// </summary>
    public enum EnumHosItemType
    {
        [Description("处理")]
        deal = 1,
        [Description("催办")]
        urge = 2,
        [Description("评价")]
        evaluate = 3,
        [Description("修改")]
        update = 4,
        [Description("删除")]
        delete = 5,
        [Description("回访")]
        visit = 6,
        [Description("审批")]
        audit = 7,
        [Description("延期")]
        Delay = 8,
    }
    /// <summary>
    /// 工单记录操作
    /// </summary>
    public enum EnumHosItemOpt
    {
        [Description("添加")]
        create,
        [Description("指派")]
        assign,
        [Description("确认")]
        sure,
        [Description("查收")]
        receive,
        [Description("转运")]
        transport,
        [Description("转运完成")]
        transcomplete,
        [Description("取配件")]
        fetch,
        [Description("安装")]
        install,
        [Description("安装完成")]
        installcomplete,
        [Description("异常结束")]
        abreback,
        [Description("处理完结")]
        finish,
        [Description("评价")]
        evaluate,
        [Description("修改")]
        update,
        [Description("删除")]
        delete,
        [Description("待审核")]
        audit,
        [Description("已审核")]
        reaudit,
        [Description("回访")]
        visit,
        [Description("延期")]
        Delay

    }
}